For the complete documentation index, see llms.txt. This page is also available as Markdown.

List users

List all users.

get
/tenants/{tenantUid}/users
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
querystringOptional

Query string for tenant users

tenantuserOrganizationUidstringOptional

Reference to an Organization

Pattern: ^[A-Za-z0-9-_]+
tenantuserStoreUidstringOptional

Reference to a Store

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
get/tenants/{tenantUid}/users
GET /v2/tenants/{tenantUid}/users HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "accountType": "FULL",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "defaultStoreUid": "text",
      "displayName": "text",
      "email": "text",
      "externalId": "text",
      "firstname": "text",
      "lastAccessed": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastname": "text",
      "mobile": "text",
      "status": "PENDING_INVITE",
      "storeAccess": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "storeAccessUid": "text",
          "storeUid": "text",
          "storeRole": "ADMIN"
        }
      ],
      "tenantUid": "text",
      "tenantName": "text",
      "tenantRole": "ACCESS",
      "tenantUserUid": "text",
      "userCode": "text",
      "languageCode": "text",
      "permissions": {
        "tenant": [
          "text"
        ],
        "stores": [
          {
            "store": {
              "name": "text",
              "storeUid": "text",
              "organizationUid": "text",
              "organizationName": "text"
            },
            "permissions": [
              "text"
            ]
          }
        ],
        "organizations": [
          {
            "organization": {
              "name": "text",
              "organizationUid": "text"
            },
            "permissions": [
              "text"
            ]
          }
        ]
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?